Package org.linphone.core

# Interface ParticipantDeviceListener

All Known Implementing Classes:
  `ParticipantDeviceListenerStub`

public interface ParticipantDeviceListener
An object to handle the callbacks for the handling a `ParticipantDevice`
objects.
Use
invalid reference

    Factory#createParticipantDeviceCbs

to create an instance. Then pass
the object to a `ParticipantDevice` instance through `ParticipantDevice.addListener(org.linphone.core.ParticipantDeviceListener)`
.

## Method Summary

Modifier and Type
Method
Description
`void`
`onIsMuted(ParticipantDevice participantDevice, boolean isMuted)`
Gets the is this participant device muted callback.
`void`
`onIsSpeakingChanged(ParticipantDevice participantDevice, boolean isSpeaking)`
Gets the is this participant device speaking changed callback.
`void`
`onScreenSharingChanged(ParticipantDevice participantDevice, boolean isScreenSharing)`
Gets the is this participant device screen sharing changed callback.
`void`
`onStateChanged(ParticipantDevice participantDevice, ParticipantDevice.State state)`
Gets the participant device conference state changed callback.
`void`
`onStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available, StreamType streamType)`
Gets the participant device stream availability changed callback.
`void`
`onStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction, StreamType streamType)`
Gets the participant device stream capability changed callback.
`void`
`onThumbnailStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available)`
Gets the participant device thumbnail stream availability changed callback.
`void`
`onThumbnailStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction)`
Gets the participant device thumbnail stream capability changed callback.
`void`
`onVideoDisplayErrorOccurred(ParticipantDevice participantDevice, int errorCode)`
Gets the callback that will be used to notify that there are errors from the
video rendering of the participant device.

## Method Details

### onIsSpeakingChanged

void onIsSpeakingChanged(ParticipantDevice participantDevice, boolean isSpeaking)
Gets the is this participant device speaking changed callback.

### onIsMuted

void onIsMuted(ParticipantDevice participantDevice, boolean isMuted)
Gets the is this participant device muted callback.

### onScreenSharingChanged

void onScreenSharingChanged(ParticipantDevice participantDevice, boolean isScreenSharing)
Gets the is this participant device screen sharing changed callback.

### onStateChanged

void onStateChanged(ParticipantDevice participantDevice, ParticipantDevice.State state)
Gets the participant device conference state changed callback.

### onStreamCapabilityChanged

void onStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction, StreamType streamType)
Gets the participant device stream capability changed callback.

### onThumbnailStreamCapabilityChanged

void onThumbnailStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction)
Gets the participant device thumbnail stream capability changed callback.

### onStreamAvailabilityChanged

void onStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available, StreamType streamType)
Gets the participant device stream availability changed callback.

### onThumbnailStreamAvailabilityChanged

void onThumbnailStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available)
Gets the participant device thumbnail stream availability changed callback.

### onVideoDisplayErrorOccurred

void onVideoDisplayErrorOccurred(ParticipantDevice participantDevice, int errorCode)
Gets the callback that will be used to notify that there are errors from the
video rendering of the participant device.
Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.